Show / Hide Table of Contents

# Interface ICallGateProvider<T1, T2, T3, TRet>

###### Namespace: Dalamud.Plugin.Ipc

###### Assembly: Dalamud.dll

##### Syntax

    public interface ICallGateProvider<T1, T2, T3, TRet>

##### Type Parameters

Name | Description
--- | ---
T1 |
T2 |
T3 |
TRet |

### Methods

| Improve this Doc View Source

#### RegisterAction(Action<T1, T2, T3>)

##### Declaration

    void RegisterAction(Action<T1, T2, T3> action)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<T1, T2, T3> | action |

| Improve this Doc View Source

#### RegisterFunc(Func<T1, T2, T3, TRet>)

##### Declaration

    void RegisterFunc(Func<T1, T2, T3, TRet> func)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Func<T1, T2, T3, TRet> | func |

| Improve this Doc View Source

#### SendMessage(T1, T2, T3)

##### Declaration

    void SendMessage(T1 arg1, T2 arg2, T3 arg3)

##### Parameters

Type | Name | Description
--- | --- | ---
T1 | arg1 |
T2 | arg2 |
T3 | arg3 |

| Improve this Doc View Source

#### UnregisterAction()

##### Declaration

    void UnregisterAction()

| Improve this Doc View Source

#### UnregisterFunc()

##### Declaration

    void UnregisterFunc()